NetCore45 Framework Detection

Oct 21, 2011 at 5:29 PM

I'd like to put together a NuGet package in which I can target some assemblies to .Net 4.5 for Win8 metro-style applications and some assemblies to .Net 4.5 desktop applications.  It looks like the framework moniker reported in the console is .NETCore,Version=v4.5 for the Win8 metro-style applications.  However, if I put the assemblies under \lib\NetCore45 the NuGet pack command returns a warning and it doesn't appear to limit the install to NetCore 4.5 install.

Is there any way to get it to recognize this correctly?


Oct 21, 2011 at 5:55 PM

Looks like this is in the 1.6 code-base targeted for an Oct release.  Is there a particular release date in Oct specified?

Oct 21, 2011 at 5:56 PM

what version of nuget are you running? NuGet 1.5 doesn't support metro-style apps yet. 1.6 will.

Oct 21, 2011 at 5:57 PM
Edited Oct 21, 2011 at 5:58 PM

Yes just saw that this was in the 1.6 source. Do we know what date in October 1.6 will be available?




Oct 21, 2011 at 5:58 PM

There's no specific date at the moment, but we're aiming to release before the end of October.